| Fast CDR Version 2.3.6 Fast CDR

Loading...
Searching...
No Matches
FastCDR Serializer API Reference

FastCDR Serializer internal API groped in modules. More...

Collaboration diagram for FastCDR Serializer API Reference:

## Topics

| Exceptions
| Exceptions used by the FastCDR API.

## Classes

class | Cdr
| This class offers an interface to serialize/deserialize some basic types using CDR protocol inside an eprosima::fastcdr::FastBuffer. More...
class | CdrSizeCalculator
| This class offers an interface to calculate the encoded size of a type serialized using a support encoding algorithm. More...
class | FastBuffer
| This class represents a stream of bytes that contains (or will contain) serialized data. More...
class | FastCdr
| This class offers an interface to serialize/deserialize some basic types using a modified CDR protocol inside a eprosima::FastBuffer. More...

## Detailed Description

FastCDR Serializer internal API groped in modules.